注册 登录  
 加关注
查看详情
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

MicroDraw CAD/CAM中间件

产品主页 http://www.microdraw.com

 
 
 

日志

 
 

CAD使用技巧  

2014-04-14 23:15:58|  分类: 电脑编程基础 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
讨论] CAD 应用技巧


001.将地形图中非零高程对象转换为零高程对象
  如果你从测绘院拷贝来的地形图上有一些图元(如直线和圆等)的Z坐标不为零,那么
有可能产生交点不易捕捉、使用dist命令量取的两点间距离值与实际不合等等问题,下面我
介绍两种解决这个难题的方法。
  (1)命令法(中文为注释):在命令行键入change
Command:CHANGE
选择对象
Select objects: all
键入p选择修改特性
Properties/<Change point>: p
键入e修改标高
Change what property (Color/Elev/LAyer/LType/ltScale/Thickness)  e
输入新的Z坐标
New elevation <varies>: 0
选择修改特性,回车结束。
Change what property (Color/Elev/LAyer/LType/ltScale/Thickness)
Commnd:
  (2)移动法:很简单,键入移动命令"move",将所有实体移至点1,0,1E99,然后再重复
"move"命令,将所有实体移至点0,0,-1E99即可。
该方法利用AutoLISP语言编程如下:
;;标高(Z坐标)归零实用程序
(defun C:Z=0 ()
(setvar "cmdecho" 0)
(princ "\n正在处理图形数据,请稍候...")
(command "_.UCS" "")
(command "_.move" "_all" "" '(0 0 1e99) "" "_.move" "_p" "" '(0 0 -1e99) "")
(princ "\nOK,已将所有图元的标高值即Z坐标归零.")
(setvar "cmdecho" 1)
(princ)
)end (defun C:Z=0 ()
002.消除dwg文件中多余的图层和图块
  对于绘制CAD图纸后残留的一些多余的图层、文字样式、线型和图块等,可以通过以下
方法将它们清除:
  (1)利用CAD文件菜单下的"输出"命令,填写输出图形文件名称,选择形式为
block(*.dwg),图块名称不填,选择基本点为(0,0),然后选择要输出的图形内容,图形
经过如此处理后不会再有多余的信息。
  (2)利用CAD文件菜单下的"清理"命令,当命令行提示"Verify each name to be purged
<Y>(验证每个要清理的名称)"时:,键入"n"不用验证是否清理,可加快清理速度。多重复
几次PURGE命令后也不会再有多余的图形信息了。
  (3)编制一个小巧的AutoLISP程序,可以减少手工操作。
(defun CHTX ()
(setvar "cmdecho" 0);关闭命令回显
(repeat 10
(command "purge" "a" "" "n")
);重复执行purge命令10次
(princ)
);end defun CHTX ()
  将以上代码复制在新文本文件中,另存为QHTX.lsp,然后在"工具"菜单下加载运行,便
能清除图形中的残余信息。
003.字体打印问题
  有时我们用实心字体绘制的图形,打印时字体却全变成了空心字,这时只要在命令行键
入"TEXTFILL",按系统提示
New value for TEXTFILL <1>:
键入数字1后就能恢复实心字体的打印了。TEXTFILL是CAD中的一个不太常用的系统变量,其
参数说明如下:
TEXTFILL
类型:整数型
保存位置:注册表
初始值:1
控制打印、渲染以及使用 PSOUT 命令输出时 TrueType 字体的填充方式。
0 以轮廓线形式输出文字
1 以填充图像形式输出文字
004.一个被遗忘的CAD命令
  命令"hatch"可用于图案填充时指定边界的区域。它创建一个非关联的填充,可以填充
由一个对象或能够完全封闭一块区域的多个对象组成的边界。如果边界是由多个对象组成的
,那么它们的端点必须符合创建图案填充的条件。用户也可以用直接填充的选项为没有封闭
边界的区域定义
一个多段线填充边界,然后进行填充。
命令行:hatch
输入图案名称或 <当前值>: 输入预定义或自定义的图案名、输
入 s、输入 u、输入  或按 ENTER 键
005.测量直线、弧线和曲线的简易方法
  利用"拉长对象"命令(lengthen)可以测量直线、弧线和曲线的长度值。在命令行键入
"len"或"lengthen",按提示选择所需测量的直线、弧线和曲线即可得到它们的当前长度值

006.关于explode命令无效的问题
  如果在CAD使用过程中,不能炸开图块了,先试一试能否炸开别的实体(如多行文本、
填充图案等),如果能,说明是你所选择的实体本身不能被炸开(也可以在命令前加上.来
测试是否可以炸开图块);如果不能,可能是感染了一个基于AutoLISP语言的病毒程序
acad.lsp。它的主要表
现特征为打开任意一张图纸均不能炸开图块,即explode命令无效,给我们的工作带来了不
少麻烦。该病毒运行时将在所有打开过CAD图纸的目录下,生成acad.lsp病毒程序,并在
CAD的安装目录Support下生成acadapp.lsp病毒程序。
  下面是清除该病毒的方法:
  (1)打开系统的查找"文件或文件夹"对话框;
  (2)在"文件或文件夹名"数据框中输入:acad.lsp;acadapp.lsp;
  (3)在"包含文字"数据框中输入:explode;
  (4)在"搜索" 数据框中选择:所有硬盘驱动器;
  (5)将搜索到的这两个文件全部删除后,问题就已经解决了。
  注意:一定要将硬盘是的所有目录都搜索一遍,这样才能将病毒清除干净。
  我的个人主页里面有"CAD病毒查杀工具"下载。
007.R14中的线宽设置
  在R14中如果是为多段线赋宽,可以用pedit命令为其赋予宽度值。如果用line命令绘制
的直线,也可以用pedit命令将其换为多段线后再为其赋予宽度值。
  但如果是为用spline命令绘制的样条曲线赋宽,相对来说就要麻烦些了。
  1.先将图形另存为"AutoCAD R12/LT2 Drawing (*.dwg)"格式;
  2.打开刚才保存的R12格式文件(原样条曲线亦转换为多段线了);
  3.用pedit命令为其赋予宽度值。
  也可以在命令行键入"WMFOUT"命令,选择图形中需要赋予宽度值的样条曲线,将其保存
为扩展名*.wmf的Windows 图元文件,然后再用"WMFIN"命令插入刚才保存的图元文件,并把
它炸开,就可以用pedit命令赋予宽度值了。
008.DWG错误文件的恢复
  有时我们辛苦几天绘制的CAD图会因为停电或其它原因突然打不开了,而且没有备份文
件,这时我们可以试试下面的方法恢复:
  1.在"文件(File)"菜单中选择"绘图实用程序/修复(Drawing Utilities/Recover)
"项,在弹出的"选择文件(Select File)"对话框中选择要恢复的文件后确认,系统开始执
行恢复文件操作;
  2.如果用"Recover"命令不能修复文件,则可以新建一个图形文件,然后把旧图用图块
的形式插入在新图形中,也能解决问题;
  3.如果有问题的图形文件是R14或R2000格式,也可在R2002或R2004下试一试上面的恢复
操作;
  4.在AutoCAD2002或2004中打开后另存为2002或2004的文件,然后重新打开文件,并选
择采用局部打开方式,打开几个图层另存为一个文件,再打开剩下的图层,再另存为第二个
文件,最后把两个文件复制重合在一起就会复原图了;
  5.如果打开CAD图某一百数(如30%)时就停住没反映了,这说明图纸不一定被损坏,把电
脑内的非AutoCAD提供的矢量字体文件删除(移到别的地方)后再试试(保留2~3个也可以),
说不定文件就能正常打开了。
009.恢复失效的特性匹配命令
  有时我们在AutoCAD R14的使用过程中,其他命令都很正常,但特性匹配却不能用了,
重装软件一时又找不到它的安装程序,下面介绍的方法就可以派上用场了。
  方法1.在命令行键入menu命令,在弹出的"选择菜单文件"对话框中,选择acad.mnu菜单
文件,重新加载菜单;
  方法2.在命令行键入appload命令,在弹出的"加载AutoLISP ADS 和 ARX 文件" 对话框
中,选择并加载AutoCAD R14目录下的match.arx文件。
  其实,对于其它命令失效的问题,也可以灵活运用以上方法。
010.无法打开"多行文字编辑器"
  一般来说多行文字命令"MTEXT"不能用了,可以先手动加载一下"acmted.arx"文件,重
新加载后"MTEXT"命令就能正常使用了。
  "acmted.arx"位于AUTOCAD程序安装目录的根目录下。当启动CAD后第一次使用"MTEXT"
命令时系统才自动调入,并常驻内存。所以有时候,当觉得CAD运行速度变慢,可以用
"APPLOAD"命令将其从内存中卸载。
  建议在加载"acmted.arx"前,还要查看一下系统变量"MTEXTED"的值是否为"Internal"
。(意思是AUTOCAD是不是使用内部多行文字编辑器来处理多行文字)。如果不是,在命令行
键入"MTEXTED",然后按其提示将其值赋为"Internal"即可。

011.坐标的输入
  在AutoCAD中,很多命令都需要在屏幕上选取两个相对的点以确认位置,如移动命令、
复制命令等。通常第二个点可以通过输入"@距离<角度"来确定相对于第一个点的位置,这
时你可以使用更简捷的方法,将鼠标置于你所需要的相对于第一个点的方向,然后直接在命
令行中输入距离
的值,就可能确定第二个点。在AutoCAD2000版中由于具有极向捕捉的功能,使用该项功能
就更为方便。
  相对坐标输入点时,在正交状态时,一般输入为:@x,0或@0,y
(例如输入相对坐标"@100,0"表示下一点相对上一点X方向增加100,又如输入相对坐标
"@0,50"表示下一点相对上一点Y方向增加50),以上两种情况下,可以直接输入100或50即可
实现相同的目的,从而节省输入时间。

--有些失去是注定的,有些缘分是永远不会有结果的,爱一个人不一定要
拥有,但拥有一个人就一定要去好好爱她!幸福是眼前的,善于珍惜,对自己好! 而你 我
还有孩儿 还有良好的环境 享受生活!
键入"MTEXTED",然后按其提示将其值赋为"Internal"即可。

011.坐标的输入
  在AutoCAD中,很多命令都需要在屏幕上选取两个相对的点以确认位置,如移动命令、
复制命令等。通常第二个点可以通过输入"@距离<角度"来确定相对于第一个点的位置,这
时你可以使用更简捷的方法,将鼠标置于你所需要的相对于第一个点的方向,然后直接在命
令行中输入距离
的值,就可能确定第二个点。在AutoCAD2000版中由于具有极向捕捉的功能,使用该项功能
就更为方便。
  相对坐标输入点时,在正交状态时,一般输入为:@x,0或@0,y
(例如输入相对坐标"@100,0"表示下一点相对上一点X方向增加100,又如输入相对坐标
"@0,50"表示下一点相对上一点Y方向增加50),以上两种情况下,可以直接输入100或50即可
实现相同的目的,从而节省输入时间
  评论这张
 
阅读(48)| 评论(0)
推荐 转载

历史上的今天

评论